Subject: Re: TRANSTAR (fwd)

From: LI Wei <[email-masked]>
Date: Fri, 7 Feb 1992 14:41:26 GMT

Those who are not interested in machine translation in China, just
ignore this message. (Haizi: as you can see I sent this message to
Rose and copied it to you by the address you gave me. But the message
was returned: what's wrong?) Wei

Forwarded message:
> From wei Fri Feb  7 13:39:51 1992
> From: LI Wei <[email-masked]>
> Date: Fri, 7 Feb 92 13:39:47 GMT
> To: [email-masked]
> Subject: Re:  TRANSTAR
> Cc: [email-masked], [email-masked], [email-masked]
>
>
> 	Hello Wei,
>
> 	I just read your mail about machine translation software with Chinese
> 	either as source- or as target-language.
> 	Well, my magister thesis is about "automatic translation of Chinese
> 	language" - and this is the reason why I am sending you this mail.
> 	If you should know some more details about TRANSTAR (or any other Chinese
> 	MT-System) or generally about aspects and methods in Chinese MT, I would
> 	be very thankful for any hint from you. Perhaps you can advice some
> 	good literature the above topic.
>
> Reply to Annette:
>
> It is quite surprising that your thesis is about Chinese MT in a German
 university. (You are not a Chinese, I suppose?) Well, it is a long story.
>
> China began its research on MT as early as 1957. The first successful MT
 translation system from Russian into Chinese was accomplished in 1958. In such
 a long history of research (over 30 years, really long enough, compared with
 the fast developing  compu> ter technology, but there was aperiod 1966-1975 of
 stagnation due to the Chinese political "ALPAC" Great Cultural Revolution),
 there have been various institutions (previously about ten, now nearly every
 major university plus quite a number of  research i> nstitutes) and many
 researchers involved in the work. And the research is little known to the
 outside world due to various reasons (lack of financial support for attending
 international conferences and academic exchange of ideas, etc.).
>
> Most documents are in the Chinese language published or unpublished. In the
 past every two years we had a national MT conference and the proceedings were a
 good source of information (but not available abroad: in fact the proceedings
 are not in a book for> m, every participant has a colection of papers). More
 recently, more such conferences mainly organized by the Chinese Information
 Processing Society are held every now and then. There is a journal called
 Journal of Chinese Information Processing (ZHONG1WE> N2 XIN4XI1 XUE2BAO4)
 edited by the Society monthly appearing from which you may find papers on MT
 concerning Chinese. Such papers may also appear in various journals published
 in China.
>
> We in our institute (Institute of Linguistics, Chinese Academy of Social
 Sciences, which was the first to start the MT research and has been a centre
 for MT for many years) have published a few things:
>
> 1. Introduction to Machine Translation
>    by Liu Yongquan, Liu Zhuo and Gao Zushun
>    (a book published in 1966 (?) from which you can find a general description
 of Chinese MT in its first stage)
>
> 2. A Selection of MT Papers
>    (1978, internally published to provide materials for post graduates in MT
 research)
>
> 3. MT in China
>    (1980?, a selection of MT papers,compiled by Liu Yongquan)
> 4. Language and Computer (I, II, III)
>    (the IV issue, already compiled, was cancled for lack of money)
>
> The above document is not easy to obtain, especially 1 and 2.
>
> There are also some papers written in English and published abroad mostly in
 some international conference proceedings. The paper MT in China by Prof Dong
 Zhendong appeared in New Direction in Machine Translation in 1988 (the
 proceedings of the MT confere> nce in Summer 1988 in Budapest organized by
 BSO/Research, the Netherlands) and our paper JFY-IV Machine Translation System
 in the proccedings of MT SUMMIT II (Munich, 08.1989) were two.
>
> As for systems, there are quite a number: a few already marketed, more in
 progress. I can just list a few which I can remember well:
>
> Marketed:
>
> 1. TRANSTAR English-Chinese System  (ZHONG1RUAN3GONG1SI1)
> 2. Chinese-English Syetem (the name of the system forgotten,
 ZHONG1RUAN3GONG1SI1)
> 3. Marcopolo English-Chinese System (Xin4tong1 Company)
> 4. A System by Liu Xiaoshu (marketed at the same time of TRANSTAR
> (another very compact PC English-Chinese MT system which produces not-good
 translation but exceptionally fast. The system was designed by Liu Xiaoshu, my
 old friend and was written in assembly language, sorry to have forgotten the
 name: it is not always e> asy to remember a system's name. But TRANSTAR has got
 a good name to remember although in the research history of this system the
 name has been changed several times. From this fact you may know MT system
 establishment really takes a long time. Also Liu X> iaoshu's system, although
 small compared to TRANSTAR, took him almost ten years to accomplish but this
 was a product resulting almost entirely from his own work: only occasionally he
 found some aide to help a little. Another thing is that Liu Xiaoshu mana> ged
 to publish a number of papers about his system abroad in various conference
 proceedings.)
>
> Under development and/or experimental systems (too many to be listed fully,
 but I'll try to name a few typical ones from my memory)
>
> 1. JFY English-Chinese Systems
>    (designed by Prof. Liu Zhuo and his group, and for six years I was
 responsible for establishment of linguistic data base for JFY-V: dictionaries,
 grammar, semantic base, etc. To be marketed soon by Beijing Gaoli Software
 Company Limited)
>
> 2. XTRAN English-Chinese MT system by Prof. HUANG Xiuming (there are quite
 some documentation about this system available in English. The designer was a
 researcher in our insitute of linguistics, and now works in Australia)
>
> 3. English-Chinese MT System by Chen Shaoxiong in Academia Sinica
>
> 4. Chinese-Japanese and Japanese-Chinese Systems
>    (This is part of the Japan's multilingual ODA MT project, various Chinese
 institutions have contributed and are contributing to this work.)
>
> 5. Chinese to English/German/French/Russian?/Japanese MT Experimental System
>
> 6. Esperanto-Chinese/English EChA MT Experimental System
>    (my master's experiment)
>
> 7. Some systems from French to Chinese, from German to Chinese, from Japanese
 to Chinese etc.
>
> Well I am a bit tired now. And the information may not be exact in every
 detail. Just for reference. When I find sth., I will try to provide more
 detailed information. I have got no time today to talk about the approaches
 applied in these systems and the > difference between the methods in China and
 the outside world. This is more difficult to make clear, but I do find
 something which is interesting.
> Wei